Mise à jour des plugins

Ces dernières semaines, j’ai reçu un certain nombre de demandes de nouvelles fonctionnalités sur les plugins EG-Attachments, et EG-Series, fonctionnalités désormais incluses dans ces nouvelles versions. Au menu: affichage optional des icônes pour EG-Attachments, amélioration de la gestion des dates, et prise en compte des pages pour EG-Series.

EG-Attachments 1.2.8

La modification porte sur la possibilité d’afficher ou non les icônes. Cette demande m’a posé quelques problèmes: le plugin génère une liste de définition (dl,dt,dd). Les icônes sont placés dans la partir dt, et le reste est placé dans la partie dd. Si je gardais cette structure, ne pas afficher les icônes m’obligeait à créer un bloc dt vide, ce qui n’est très propre. J’ai choisi une autre voie: lorsque les icônes sont affichés, je garde la structure actuelle, lorsqu’ils ne le sont pas, la liste construite est de type liste simple (ul/li).

De cette façon, je garde une complète compatibilité avec les versions précédentes, tout en proposant un format de liste correct pour ceux qui ne souhaitent pas afficher d’icônes.

J’ai également ajouté le champ correspondant dans la page d’options du shortcode automatique.

EG-Series 1.0.0

Les modifications sont plus importantes, et portent sur

  • La gestion du format des dates,
  • La possibilité de gérer les pages, en plus des articles.

Le plugin offre maintenant la possibilité d’afficher ou pas les dates de publication des articles. Il permet également de fixer le format de ces dates. Par défaut, le format proposé est celui figurant dans les options de WordPress.

Le plugin ne gérait que les articles jusqu’à présent. Il gère désormais les articles et les pages. Le menu EG-Series Articles a été modifié en ce sens, ainsi que l’éditeur de page.

Pas encore résolu: le message signalé par Jane: Illegal offset type in isset or empty in /plugins/eg-series/lib/eg-widgets.inc.php. Je pense que l’erreur vient de la version de PHP. Je n’en suis pas définitivement sûre, parce qu’il faut que j’installe un version antérieure à 4.4.

Validation WordPress 2.8

J’ai effectué une série de tests avec la version en cours de développement (Bêta 1 – Build 11426), et je n’ai pas rencontré de problème. Comme les évolutions de cette version sont désormais figées, nous pouvons donc considérer que les plugins sont compatibles WP 2.8. Je confirmerai cela définitivement après la sortie de cette version.
Il me restera a regarder la nouvelle API des widgets, pour savoir si j’adapte ma propre librairie, ou si j’attends un peu.

Conclusion

Le plugin EG-Attachments est maintenant relativement stable. Je ne pense pas ajouter beaucoup de nouvelles fonctionnalités, il en offre déjà pas mal pour un plugin qui est juste sensé afficher des pièces jointes. Il compte aujourd’hui 1500 téléchargements (depuis Février 2009), le nombre d’utilisateur étant estimé à une cinquantaine.

EG-Series est plus récent, et je pense qu’il y a encore une bonne marge de progression d’un point de vue fonctionnalités. Publié pour la première fois fin mars, il comptabilise environ 250 téléchargements.

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *

Ce site utilise Akismet pour réduire les indésirables. En savoir plus sur comment les données de vos commentaires sont utilisées.